curl --request GET \
--url https://api-m.sandbox.paypal.com/v2/invoicing/templates/{template_id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"name": "<string>",
"default_template": true,
"template_info": {
"detail": {
"currency_code": "<string>",
"reference": "<string>",
"note": "<string>",
"terms_and_conditions": "<string>",
"memo": "<string>",
"attachments": [
{
"id": "<string>",
"reference_url": "<string>",
"content_type": "<string>",
"create_time": "<string>",
"size": "<string>"
}
],
"payment_term": {},
"metadata": {
"create_time": "<string>",
"created_by": "<string>",
"last_update_time": "<string>",
"last_updated_by": "<string>"
}
},
"invoicer": {
"business_name": "<string>",
"name": {
"prefix": "<string>",
"given_name": "<string>",
"surname": "<string>",
"middle_name": "<string>",
"suffix": "<string>",
"alternate_full_name": "<string>",
"full_name": "<string>"
},
"address": {
"country_code": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"address_line_3": "<string>",
"admin_area_4": "<string>",
"admin_area_3": "<string>",
"admin_area_2": "<string>",
"admin_area_1": "<string>",
"postal_code": "<string>",
"address_details": {
"street_number": "<string>",
"street_name": "<string>",
"street_type": "<string>",
"delivery_service": "<string>",
"building_name": "<string>",
"sub_building": "<string>"
}
},
"email_address": "<string>",
"phones": [
{
"country_code": "<string>",
"national_number": "<string>",
"extension_number": "<string>"
}
],
"website": "<string>",
"tax_id": "<string>",
"additional_notes": "<string>",
"logo_url": "<string>"
},
"primary_recipients": [
{
"billing_info": {
"business_name": "<string>",
"name": {
"prefix": "<string>",
"given_name": "<string>",
"surname": "<string>",
"middle_name": "<string>",
"suffix": "<string>",
"alternate_full_name": "<string>",
"full_name": "<string>"
},
"address": {
"country_code": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"address_line_3": "<string>",
"admin_area_4": "<string>",
"admin_area_3": "<string>",
"admin_area_2": "<string>",
"admin_area_1": "<string>",
"postal_code": "<string>",
"address_details": {
"street_number": "<string>",
"street_name": "<string>",
"street_type": "<string>",
"delivery_service": "<string>",
"building_name": "<string>",
"sub_building": "<string>"
}
},
"email_address": "<string>",
"phones": [
{
"country_code": "<string>",
"national_number": "<string>",
"extension_number": "<string>"
}
],
"additional_info": "<string>",
"language": "<string>"
},
"shipping_info": {
"business_name": "<string>",
"name": {
"prefix": "<string>",
"given_name": "<string>",
"surname": "<string>",
"middle_name": "<string>",
"suffix": "<string>",
"alternate_full_name": "<string>",
"full_name": "<string>"
},
"address": {
"country_code": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"address_line_3": "<string>",
"admin_area_4": "<string>",
"admin_area_3": "<string>",
"admin_area_2": "<string>",
"admin_area_1": "<string>",
"postal_code": "<string>",
"address_details": {
"street_number": "<string>",
"street_name": "<string>",
"street_type": "<string>",
"delivery_service": "<string>",
"building_name": "<string>",
"sub_building": "<string>"
}
}
}
}
],
"additional_recipients": [
"<string>"
],
"items": [
{
"name": "<string>",
"quantity": "<string>",
"unit_amount": {
"currency_code": "<string>",
"value": "<string>"
},
"id": "<string>",
"description": "<string>",
"tax": {
"name": "<string>",
"percent": "<string>",
"amount": {
"currency_code": "<string>",
"value": "<string>"
},
"tax_note": "<string>"
},
"item_date": "<string>",
"discount": {
"percent": "<string>",
"amount": {
"currency_code": "<string>",
"value": "<string>"
}
}
}
],
"configuration": {
"tax_calculated_after_discount": true,
"tax_inclusive": false,
"allow_tip": false,
"partial_payment": {
"allow_partial_payment": false,
"minimum_amount_due": {
"currency_code": "<string>",
"value": "<string>"
}
},
"has_conditional_rule": false
},
"amount": {
"currency_code": "<string>",
"value": "<string>",
"breakdown": {
"item_total": {
"currency_code": "<string>",
"value": "<string>"
},
"discount": {
"invoice_discount": {
"percent": "<string>",
"amount": {
"currency_code": "<string>",
"value": "<string>"
}
},
"item_discount": {
"currency_code": "<string>",
"value": "<string>"
}
},
"tax_total": {
"currency_code": "<string>",
"value": "<string>"
},
"shipping": {
"amount": {
"currency_code": "<string>",
"value": "<string>"
},
"tax": {
"name": "<string>",
"percent": "<string>",
"amount": {
"currency_code": "<string>",
"value": "<string>"
},
"tax_note": "<string>"
}
},
"custom": {
"label": "<string>",
"amount": {
"currency_code": "<string>",
"value": "<string>"
}
}
}
},
"due_amount": {
"currency_code": "<string>",
"value": "<string>"
}
},
"settings": {
"template_item_settings": [
{
"display_preference": {
"hidden": false
}
}
],
"template_subtotal_settings": [
{
"display_preference": {
"hidden": false
}
}
]
},
"standard_template": true,
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}{
"name": "NOT_AUTHORIZED",
"message": "Authorization failed due to insufficient permissions.",
"details": [
{
"issue": "PERMISSION_DENIED",
"field": "<string>",
"value": "<string>",
"location": "body",
"description": "The requested template is not associated with the requested user."
}
],
"debug_id": "<string>",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}{
"name": "RESOURCE_NOT_FOUND",
"message": "The specified resource does not exist.",
"details": [
{
"issue": "<string>",
"field": "<string>",
"value": "<string>",
"location": "body",
"description": "<string>"
}
],
"debug_id": "<string>",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}{
"name": "INTERNAL_SERVER_ERROR",
"message": "An internal server error occurred.",
"debug_id": "90957fca61718",
"links": [
{
"href": "https://developer.paypal.com/api/orders/v2/#error-INTERNAL_SERVER_ERROR",
"rel": "information_link"
}
]
}{
"name": "INVALID_REQUEST",
"message": "Request is not well-formed, syntactically incorrect, or violates schema.",
"details": [
{
"issue": "<string>",
"field": "<string>",
"value": "<string>",
"location": "body",
"description": "<string>"
}
],
"debug_id": "<string>",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}Show template details
Shows details for a template, by ID.
curl --request GET \
--url https://api-m.sandbox.paypal.com/v2/invoicing/templates/{template_id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"name": "<string>",
"default_template": true,
"template_info": {
"detail": {
"currency_code": "<string>",
"reference": "<string>",
"note": "<string>",
"terms_and_conditions": "<string>",
"memo": "<string>",
"attachments": [
{
"id": "<string>",
"reference_url": "<string>",
"content_type": "<string>",
"create_time": "<string>",
"size": "<string>"
}
],
"payment_term": {},
"metadata": {
"create_time": "<string>",
"created_by": "<string>",
"last_update_time": "<string>",
"last_updated_by": "<string>"
}
},
"invoicer": {
"business_name": "<string>",
"name": {
"prefix": "<string>",
"given_name": "<string>",
"surname": "<string>",
"middle_name": "<string>",
"suffix": "<string>",
"alternate_full_name": "<string>",
"full_name": "<string>"
},
"address": {
"country_code": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"address_line_3": "<string>",
"admin_area_4": "<string>",
"admin_area_3": "<string>",
"admin_area_2": "<string>",
"admin_area_1": "<string>",
"postal_code": "<string>",
"address_details": {
"street_number": "<string>",
"street_name": "<string>",
"street_type": "<string>",
"delivery_service": "<string>",
"building_name": "<string>",
"sub_building": "<string>"
}
},
"email_address": "<string>",
"phones": [
{
"country_code": "<string>",
"national_number": "<string>",
"extension_number": "<string>"
}
],
"website": "<string>",
"tax_id": "<string>",
"additional_notes": "<string>",
"logo_url": "<string>"
},
"primary_recipients": [
{
"billing_info": {
"business_name": "<string>",
"name": {
"prefix": "<string>",
"given_name": "<string>",
"surname": "<string>",
"middle_name": "<string>",
"suffix": "<string>",
"alternate_full_name": "<string>",
"full_name": "<string>"
},
"address": {
"country_code": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"address_line_3": "<string>",
"admin_area_4": "<string>",
"admin_area_3": "<string>",
"admin_area_2": "<string>",
"admin_area_1": "<string>",
"postal_code": "<string>",
"address_details": {
"street_number": "<string>",
"street_name": "<string>",
"street_type": "<string>",
"delivery_service": "<string>",
"building_name": "<string>",
"sub_building": "<string>"
}
},
"email_address": "<string>",
"phones": [
{
"country_code": "<string>",
"national_number": "<string>",
"extension_number": "<string>"
}
],
"additional_info": "<string>",
"language": "<string>"
},
"shipping_info": {
"business_name": "<string>",
"name": {
"prefix": "<string>",
"given_name": "<string>",
"surname": "<string>",
"middle_name": "<string>",
"suffix": "<string>",
"alternate_full_name": "<string>",
"full_name": "<string>"
},
"address": {
"country_code": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"address_line_3": "<string>",
"admin_area_4": "<string>",
"admin_area_3": "<string>",
"admin_area_2": "<string>",
"admin_area_1": "<string>",
"postal_code": "<string>",
"address_details": {
"street_number": "<string>",
"street_name": "<string>",
"street_type": "<string>",
"delivery_service": "<string>",
"building_name": "<string>",
"sub_building": "<string>"
}
}
}
}
],
"additional_recipients": [
"<string>"
],
"items": [
{
"name": "<string>",
"quantity": "<string>",
"unit_amount": {
"currency_code": "<string>",
"value": "<string>"
},
"id": "<string>",
"description": "<string>",
"tax": {
"name": "<string>",
"percent": "<string>",
"amount": {
"currency_code": "<string>",
"value": "<string>"
},
"tax_note": "<string>"
},
"item_date": "<string>",
"discount": {
"percent": "<string>",
"amount": {
"currency_code": "<string>",
"value": "<string>"
}
}
}
],
"configuration": {
"tax_calculated_after_discount": true,
"tax_inclusive": false,
"allow_tip": false,
"partial_payment": {
"allow_partial_payment": false,
"minimum_amount_due": {
"currency_code": "<string>",
"value": "<string>"
}
},
"has_conditional_rule": false
},
"amount": {
"currency_code": "<string>",
"value": "<string>",
"breakdown": {
"item_total": {
"currency_code": "<string>",
"value": "<string>"
},
"discount": {
"invoice_discount": {
"percent": "<string>",
"amount": {
"currency_code": "<string>",
"value": "<string>"
}
},
"item_discount": {
"currency_code": "<string>",
"value": "<string>"
}
},
"tax_total": {
"currency_code": "<string>",
"value": "<string>"
},
"shipping": {
"amount": {
"currency_code": "<string>",
"value": "<string>"
},
"tax": {
"name": "<string>",
"percent": "<string>",
"amount": {
"currency_code": "<string>",
"value": "<string>"
},
"tax_note": "<string>"
}
},
"custom": {
"label": "<string>",
"amount": {
"currency_code": "<string>",
"value": "<string>"
}
}
}
},
"due_amount": {
"currency_code": "<string>",
"value": "<string>"
}
},
"settings": {
"template_item_settings": [
{
"display_preference": {
"hidden": false
}
}
],
"template_subtotal_settings": [
{
"display_preference": {
"hidden": false
}
}
]
},
"standard_template": true,
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}{
"name": "NOT_AUTHORIZED",
"message": "Authorization failed due to insufficient permissions.",
"details": [
{
"issue": "PERMISSION_DENIED",
"field": "<string>",
"value": "<string>",
"location": "body",
"description": "The requested template is not associated with the requested user."
}
],
"debug_id": "<string>",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}{
"name": "RESOURCE_NOT_FOUND",
"message": "The specified resource does not exist.",
"details": [
{
"issue": "<string>",
"field": "<string>",
"value": "<string>",
"location": "body",
"description": "<string>"
}
],
"debug_id": "<string>",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}{
"name": "INTERNAL_SERVER_ERROR",
"message": "An internal server error occurred.",
"debug_id": "90957fca61718",
"links": [
{
"href": "https://developer.paypal.com/api/orders/v2/#error-INTERNAL_SERVER_ERROR",
"rel": "information_link"
}
]
}{
"name": "INVALID_REQUEST",
"message": "Request is not well-formed, syntactically incorrect, or violates schema.",
"details": [
{
"issue": "<string>",
"field": "<string>",
"value": "<string>",
"location": "body",
"description": "<string>"
}
],
"debug_id": "<string>",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}Authorizations
Oauth 2.0 authentication
Path Parameters
The ID of the template to delete.
2147483647^.*$Response
A successful request returns the HTTP 200 OK status code and a JSON response body that shows template details.
The template with invoice details to load with all captured fields.
The ID of the template.
30^[\S\s]*$The template name.
Note: The template name must be unique.
1 - 500^[\S\s]*$Indicates whether this template is the default template. A invoicer can have one default template.
The template details. Includes invoicer business information, invoice recipients, items, and configuration.
Show child attributes
Show child attributes
The template settings. Describes which fields to show or hide when you create an invoice.
Show child attributes
Show child attributes
The unit of measure for the template. Value is quantity, hours, or amount.
QUANTITY, HOURS, AMOUNT 2147483647^[\S\s]*$Indicates whether this template is a invoicer-created custom template. The system generates non-custom templates.
Was this page helpful?